<?
/*
 Все права защищены
 Автор - Искатель (alex-borisi)
 ICQ - 587863132
*/
include_once '../../../sys/inc/start.php';
include_once '../../../sys/inc/compress.php';
include_once '../../../sys/inc/sess.php';
include_once '../../../sys/inc/home.php';
include_once '../../../sys/inc/settings.php';
include_once '../../../sys/inc/db_connect.php';
include_once '../../../sys/inc/ipua.php';
include_once '../../../sys/inc/fnc.php';
include_once '../../../sys/inc/adm_check.php';
include_once '../../../sys/inc/user.php';

$sm = array('монета', 'монеты', 'монет');
$SIMoney = 'money';
$money = '1';

if (isset($user) && isset($_GET['pokupka']) && $user['' . $SIMoney . '']>=$money)
{
$gen=mt_rand(1,3);

if ($gen==1)
{
$a025=mt_rand(1,2);
$a05=mt_rand(1,2);
$a1=mt_rand(1,2);
$a2=mt_rand(1,2);
$a4=mt_rand(1,2);
$a8=mt_rand(1,2);
$a15=mt_rand(1,2);
$a30=mt_rand(1,2);
$a60=mt_rand(1,2);
$a125=mt_rand(1,2);
$a250=mt_rand(1,2);
$a500=mt_rand(1,2);
}
elseif ($gen==2)
{
$a025=mt_rand(1,2);
$a05=mt_rand(1,2);
$a1=mt_rand(1,2);
$a2=mt_rand(1,2);
$a4=mt_rand(1,2);
$a8=mt_rand(1,2);
$a15=mt_rand(1,2);
$a30=mt_rand(1,2);
$a60=mt_rand(1,2);
$a125=mt_rand(1,2);
$a250=mt_rand(1,2);
$a500=mt_rand(1,2);
}
elseif ($gen==3)
{
$a025=mt_rand(1,2);
$a05=mt_rand(1,2);
$a1=mt_rand(1,2);
$a2=mt_rand(1,2);
$a4=mt_rand(1,2);
$a8=mt_rand(1,2);
$a15=mt_rand(1,2);
$a30=mt_rand(1,2);
$a60=mt_rand(1,2);
$a125=mt_rand(1,2);
$a250=mt_rand(1,2);
$a500=mt_rand(1,2);
}





mysql_query("INSERT INTO `lottery` (`type`, `id_user`, `time`, `s025`, `s05`, `s1`, `read`, `a025`, `a05`, `a1`, `a2`, `a4`, `a8`, `a15`, `a30`, `a60`, `a125`, `a250`, `a500`) values('intuition', '$user[id]', '$time', '0', '0', '2', '1', '$a025', '$a05', '$a1', '$a2', '$a4', '$a8', '$a15', '$a30', '$a60', '$a125', '$a250', '$a500')");
mysql_query("UPDATE `user` SET `" . $SIMoney . "` = '" . ($user['' . $SIMoney . '']-$money) . "' WHERE `id` = '$user[id]' LIMIT 1");
header("Location: index.php?".SID);
}
$set['title']='Интуиция';
include_once '../../../sys/inc/thead.php';
title();
err();
aut();

echo "<div class='foot'>\n";
echo "<a href='/plugins/games/'>Онлайн игры</a> | <b>Интуиция</b>\n";
echo "</div>\n";

echo "<div class='main_seriy'>\n";
echo "<div class='main'>\n";
echo "<font size='4'>Лоторея <font color='green'><b>&quot;Интуиция&quot;</b></font></font><br />";

if (isset($user))
{
    echo 'У вас на счету <font color="green"><b>' . $tools->sclon($user[ $SIMoney ], $sm) . '</b></font>  <br />';
}
echo "</div>\n";
echo "</div>\n";


if (isset($_GET['chek']))
{
    echo "<table class='post'>";
    echo "<tr>";
    echo "<td class='p_t'>";
    echo "<b>Поздравляем, вы выиграли <font color='red'>" . $tools->sclon(intval($_GET['chek']), $sm) . "</font></b><br />";
    echo "Выигрыш перечислен на ваш счет.";
    echo "</td>";
    echo "</tr>";
    echo "</table>";
}



if (isset($user) && isset($_GET['shop']) && $user['' . $SIMoney . '']>=$money)
{
	echo "<div class='main_menu'>\n";
    echo "Покупка билета<br />";
    echo "&rarr; Вы уверены что хотите купить билет &quot;Интуиция&quot; стоимостью " . $tools->sclon($money, $sm) . "?<br />";
    echo "</div>\n";
    echo "<form method=\"post\" action=\"index.php?pokupka\">"; 
    echo "<input type=\"submit\" value=\"Купить\" /> ";
    echo "<a href='?'>Отмена</a>";
    echo "</form>\n";

    echo "<div class='foot'>\n";
    echo "<a href='/plugins/games/'>Онлайн игры</a> | <b>Интуиция</b>\n";
    echo "</div>\n";
    include_once '../../../sys/inc/tfoot.php';
    exit;
}


$q=mysql_query("SELECT * FROM `lottery` WHERE `id_user` = '$user[id]' ORDER BY id DESC");
while ($post = mysql_fetch_assoc($q))
{
    echo "<table class='post'>";
    echo "<tr>";
    echo "<td class='p_t'>";
    echo "&rarr; <font color='red'><b>Билет №$post[id]</font> <font color='blue'>&radic; куплен.</b></font> <a href='/plugins/games/intuition/game.php?id=$post[id]'>Играть</a><br />";
    echo "</td>";
    echo "</tr>";
    echo "</table>";
}




echo "<div class='main'>\n";
echo "<b>Правила:</b><br />";
echo "Каждый билет имеет 10 уровней. Максимальный выигрыш составляет ".$tools->sclon(500, $sm).".
 Игра начинается с первого уровня. На первом уровне перед вами 2 варианта - две кнопки, 
 на которых указаны суммы выигрышей (по ".$tools->sclon($money, $sm).") Вы нажимаете одну из двух кнопок первого уровня. Если 
вы сделаете верный выбор, то ваш выигрыш станет равным сумме, указанной на кнопке. <br />
Пример выигрышного уровня:<br />";
echo "<img src='img/primer1.png'><br />";
echo "Если вы ошибетесь, то под кнопкой окажется красный крестик. В таком случае билет будет считаться невыигрышным и вы ничего не получите.<br />
Пример невыигрышного билета:<br />";
echo "<img src='img/primer2.png'><br />";
echo "Вы можете остановить игру и забрать выигранную сумму, 
нажав кнопку &quot;Забрать выигрыш&quot; на любом из уровней, либо продолжить игру на ваше усмотрение.<br />";
echo "<font color='blue'><b>Каждый билет лотереи &quot;Интуиция&quot; 
выигрышный и может принести вам " . $tools->sclon(500, $sm) . "!</b></font><br />";
echo "</div>\n";

if (isset($user) && $user[ $SIMoney ] >= $money) {
    echo "<form method=\"post\" action=\"?shop\">";
    echo '<input type="submit" value="Покупка билета (' . $tools->sclon($money, $sm) . ')" />';
    echo "</form>\n";
} elseif (isset($user)) {
    echo "Не достаточно средств для покупки билета<br /><form method=\"post\" action=\"/user/money/\">"; 
    echo "<input type=\"submit\" value=\"Пополнить счет\" />";
    echo "</form>\n";
}

$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `lottery_winners` WHERE `type` = 'intuition'"), 0);
$q=mysql_query("SELECT * FROM `lottery_winners` WHERE `type` = 'intuition' ORDER BY id DESC LIMIT 5");

if ($k_post>0)echo "<div class='foot'>Последние победители:</div>";

while ($post = mysql_fetch_assoc($q))
{
    $ank_w=get_user($post['id_user']);
    echo "<table class='post'>";
    echo "<tr>";
    echo "<td class='p_t'>";
    echo "&radic; <font color='red'><b><a href='/info.php?id=$ank_w[id]'>$ank_w[nick]</a></b></font> 
    <font color='red'>выигрыш</font> (<font color='#e335d5'><b>".$tools->sclon($post['winners'], $sm)."</b></font>) (".vremja($post['time']).")<br />";
    echo "</td>";
    echo "</tr>";
    echo "</table>";
}

echo "<div class='foot'>\n";
echo "<a href='/plugins/games/'>Онлайн игры</a> | <b>Интуиция</b>\n";
echo "</div>\n";

include_once '../../../sys/inc/tfoot.php';
?>